// 采购需求单
const PU_DEMAND_RULE = [
  { label: "物料编码", prop: "materialCode" },
  { label: "物料名称", prop: "materialName" },
  { label: "规格", prop: "specification" },
  { label: "单位", prop: "unitName", width: 50 },
  { label: "生产厂家/代理人", prop: "manufacturerName" },
  { label: "实际(业务)需求量", prop: "qty", width: 130 },
  { label: "月均销量", prop: "averageQtyMonth", width: 80 },
  { label: "需求可用周期", prop: "demandPeriod", width: 80 },
  { label: "业务备注", prop: "remark" },
  {
    label: "紧急标识",
    prop: "isUrgency",
    // formatter: function (row, column, cellValue, index) {
    //   return row.isUrgency == "Y" ? "是" : "否";
    // },
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
    width: 80,
  },
  {
    label: "补单标识",
    prop: "isReplenishment",
    // formatter: function (row, column, cellValue, index) {
    //   return row.isReplenishment == "Y" ? "是" : "否";
    // },
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
    width: 80,
  },
];

const ALLOT_RULE = [
  { label: "物料编码", prop: "materialCode", width: 120 },
  { label: "物料名称", prop: "materialName" },
  { label: "规格", prop: "specification" },
  { label: "单位", prop: "unitName" },
  { label: "生产厂家/代理人", prop: "manufacturerName" },
  { label: "调出仓库", prop: "deliveryWarehouseName" },
  { label: "调出货位", prop: "deliveryAllocationName" },
  { label: "数量", prop: "qty", width: 50 },
  { label: "调入仓库", prop: "storageWarehouseName" },
  { label: "调入货位", prop: "storageAllocationName" },
];

// 物料申请单
const MATERIAL_APPLY_RULE = [
  { prop: 'name', label: '物料名称', },
  { prop: 'code', label: '物料编码', },
  { prop: 'version', label: '版本号', },
  { prop: 'orgName', label: '所属组织', },
  { prop: 'specification', label: '规格' },
  { prop: 'classifyName', label: '四级分类', },
  {
    prop: 'isMedicine',
    label: '医药物料',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
  },
  { prop: 'failCause', label: '同步失败原因', },
  { prop: 'model', label: '型号', },
  { prop: 'packExplain', label: '包装说明', },
  {
    prop: 'serialNoManager',
    label: '序列号管理',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
  },
  { prop: 'barCode', label: '条形码', },
  { prop: 'unitName', label: '计量单位', },
  { prop: 'deliveryPeriod', label: '交货周期', },
  {
    prop: 'isInventoryStatus',
    label: '批号及库存状态管理',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
  },
  { prop: 'height', label: '高度', },
  { prop: 'manufacturerName', label: '生产厂家/代理人', },
  { prop: 'minOrderQty', label: '最小起订量', },
  {
    prop: 'expiryDateManagerment',
    label: '效期管理',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
  },
  { prop: 'width', label: '宽度', },
  { prop: 'registrant', label: '注册人/上市许可持有人', },
  { prop: 'minPackQty', label: '最小包装量', },
  {
    prop: 'expiryUnitId',
    label: '效期单位',
    attr: {
      is: "el-dict-tag",
      dictName: "period_unit",
    },
  },
  { prop: 'length', label: '长度', },
  { prop: 'productionPermit', label: '生产许可证', },
  { prop: 'minBatchQty', label: '最小批量', },
  { prop: 'usefulLife', label: '有效期', },
  { prop: 'oneClass', label: '一级分类', },
  {
    prop: 'storageCondition',
    label: '存储条件',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_storage_condition",
    },
  },
  { prop: 'diCode', label: 'DI码', },
  {
    prop: 'usefulLifeUnitId',
    label: '有效期至单位',
    attr: {
      is: "el-dict-tag",
      dictName: "expiry_date",
    },
  },
  { prop: 'twoClass', label: '二级分类', },
  {
    prop: 'transportationCondition',
    label: '运输条件',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_conditions_carriage",
    },
  },
  { prop: 'healthCode', label: '医保代码', },
  {
    prop: 'nearOnsetManagerment',
    label: '近效期管理',
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
  },
  { prop: 'threeClass', label: '三级分类', },
  { prop: 'originPlaceName', label: '产地', },
  { prop: 'manufacturersMaterialCode', label: '厂家物料编码', },
  { prop: 'recentWarningPeriod', label: '近效期预警天数', },
  {
    prop: 'isEnable',
    label: '启用状态',
    attr: {
      is: "el-dict-tag",
      dictName: "material_enable",
    },
  },
  { prop: 'serviceLife', label: '使用期限/次数', },
  { prop: 'purchasingOrganizationName', label: '默认采购组织', },
  { prop: 'materialRateName', label: '物料税类', },
  { prop: 'remark', label: '备注', },
  { prop: 'brand', label: '品牌', },
  { prop: 'puPersonnelName', label: '负责采购员', },
  { prop: 'proposerName', label: '物料申请人', },
  { prop: 'serviceClass', label: '服务类', },
];

// 价格申报单
const PU_PRICE_APPLY_RULE = [
  { label: "物料编码", prop: "materialCode", width: 120 },
  { label: "物料名称", prop: "materialName" },
  { label: "规格", prop: "specification" },
  { label: "生产厂家/代理人", prop: "manufacturerName" },
  { label: "含税单价", prop: "taxPrice", width: 80 },
  { label: "最近价格", prop: "recentlyPrice", width: 80 },
  { label: "单价差", prop: "priceDiffer", width: 80 },
  { label: "申请理由", prop: "explainStr" },
  { label: "客户", prop: "customerName" },
  { label: "供应商名称1", prop: "supplierName1" },
  { label: "单价1", prop: "unitPrice1", width: 70 },
  { label: "供应商名称2", prop: "supplierName2" },
  { label: "单价2", prop: "unitPrice2", width: 70 },
  { label: "供应商名称3", prop: "supplierName3" },
  { label: "单价3", prop: "unitPrice3", width: 70 },
  { label: "型号", prop: "model" },
  {
    label: "价格类型",
    prop: "priceType",
    attr: {
      is: "el-dict-tag",
      dictName: "sys_price_type",
    },
  },
  {
    label: "配送价",
    prop: "isDistributionPrice",
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
    // formatter: function (row, column, cellValue, index) {
    //   return row.isDistributionPrice == "Y" ? "是" : "否";
    // },
  },
  { label: "价格有效期（起）", prop: "periodBegin" },
  { label: "价格有效期（止）", prop: "periodEnd" },
  { label: "币种名称", prop: "currencyName" },
  { label: "无税单价", prop: "price" },
  { label: "采购换算率", prop: "conversionRate" },
  { label: "采购单位名称", prop: "puUnitName" },
  { label: "单位名称", prop: "unitName" },
  { label: "调整类型", prop: "isPriceAdjustment" },
  {
    label: "首次报批",
    prop: "isApprovalFirst",
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
    // formatter: function (row, column, cellValue, index) {
    //   return row.isApprovalFirst == "Y" ? "是" : "否";
    // },
  },
  { label: "预计年采购量", prop: "yPurchaseQuantity" },
  { label: "预计年影响量", prop: "yAffectedAmount" },
  { label: "涨幅", prop: " increase" },
];

// 采购订单
const PU_ORDER_RULE = [
  { label: "收货客户", prop: "customerName" },
  { label: "物料编码", prop: "materialCode", width: 120 },
  { label: "物料名称", prop: "materialName" },
  { label: "生产厂家", prop: "manufacturerName" },
  // {label: '医药物料',  prop: 'isMedcine'},
  { label: "数量", prop: "qty", width: 60 },
  { label: "含税单价", prop: "taxPrice", width: 80 },
  {
    label: "价税合计",
    prop: "money",
    width: 80,
    formatter: function (row, column, cellValue, index) {
      return row.money ? parseFloat(row.money).toFixed(2) : "0.00";
    },
  },
  {
    label: "赠品",
    prop: "isGift",
    width: 50,
    attr: {
      is: "el-dict-tag",
      dictName: "sys_number_yes_no",
    },
    // formatter: function (row, column, cellValue, index) {
    //   return row.isGift == "Y" ? "是" : "否";
    // },
  },
  { label: "折扣%", prop: "nitemdiscountrate", width: 70 },
  { label: "价格类型", prop: "priceType", width: 80 },

  { label: "规格", prop: "specification" },
  { label: "单位", prop: "unitName" },
  { label: "税率", prop: "tax" },
  { label: "注册证号", prop: "registration" },
  { label: "需求单号", prop: "demandCode" },
];

export default {
  PU_DEMAND_RULE,
  ALLOT_RULE,
  MATERIAL_APPLY_RULE,
  PU_PRICE_APPLY_RULE,
  PU_ORDER_RULE,
};